Bug 201594 - sshd does not create ipv4 listen socket for X11 forwarding
sshd does not create ipv4 listen socket for X11 forwarding
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssh (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-07 14:55 EDT by Stephen P. Schaefer
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0257
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:29:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen P. Schaefer 2006-08-07 14:55:56 EDT
Description of problem:
X11 forwarding doesn't function with IPv4 by default

Version-Release number of selected component (if applicable):
openssh-3.9p1-8.RHEL4.12

How reproducible:


Steps to Reproduce:
1. Make entries in /etc/ssh/sshd_config:
X11Forwarding yes
X11UseLocalhost no
2. restart sshd, e.g., sudo /etc/init.d/sshd restart
3. attempt to start an X client
  
Actual results:
Client gets "connection refused".  Netstat -tan shows

tcp        0      0 :::6010                     :::*                        LISTEN


Expected results:
Client get successful connection.  Netstat -tan shows

tcp        0      0 0.0.0.0:6010                0.0.0.0:*                   LISTEN


Additional info:

Successful workaround: in /etc/sysconfig/sshd, put

OPTIONS=-4
Comment 1 Tomas Mraz 2006-08-08 06:30:38 EDT
The problem is not with the :::6010 output but with the fact that sshd sets
incorrectly IPV6_V6ONLY socket option on the socket.
Comment 2 RHEL Product and Program Management 2006-08-31 11:33:01 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Tomas Mraz 2006-10-05 04:51:35 EDT
Fixed in openssh-3.9p1-8.RHEL4.18
Comment 8 Red Hat Bugzilla 2007-05-01 13:29:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0257.html

Note You need to log in before you can comment on or make changes to this bug.